/*
  Copyright (C) 2012  Torsten Brischalle

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/
*/

#ifndef LUA_FUNC_CRC_H
#define LUA_FUNC_CRC_H

//-----------------------------------------------------------------------------

#include <lua.h>

//-----------------------------------------------------------------------------

int lua_prop_crc8_polynom_read(lua_State *lua);
int lua_prop_crc8_polynom_write(lua_State *lua);

int lua_func_crc8(lua_State *lua);

//-----------------------------------------------------------------------------

int lua_prop_crc16_polynom_read(lua_State *lua);
int lua_prop_crc16_polynom_write(lua_State *lua);

int lua_func_crc16(lua_State *lua);

//-----------------------------------------------------------------------------

int lua_prop_crc32_polynom_read(lua_State *lua);
int lua_prop_crc32_polynom_write(lua_State *lua);

int lua_func_crc32(lua_State *lua);

//-----------------------------------------------------------------------------

#endif
