/*
  Copyright (C) 2012  Torsten Brischalle

  This program is free software: you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation, either version 3 of the License, or
  (at your option) any later version.

  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with this program.  If not, see <http://www.gnu.org/licenses/
*/

#ifndef LUA_FUNC_VECGFX_H
#define LUA_FUNC_VECGFX_H

//-----------------------------------------------------------------------------

#include <lua.h>

//-----------------------------------------------------------------------------

int lua_func_vecgfx_clear(lua_State *lua);
int lua_func_vecgfx_draw_line(lua_State *lua);
int lua_func_vecgfx_draw_circle(lua_State *lua);
int lua_func_vecgfx_draw_ellipse(lua_State *lua);
int lua_func_vecgfx_draw_rect(lua_State *lua);
int lua_func_vecgfx_draw_polygon(lua_State *lua);
int lua_func_vecgfx_fill_circle(lua_State *lua);
int lua_func_vecgfx_fill_ellipse(lua_State *lua);
int lua_func_vecgfx_fill_rect(lua_State *lua);
int lua_func_vecgfx_fill_polygon(lua_State *lua);
int lua_func_vecgfx_draw_text(lua_State *lua);
int lua_func_vecgfx_set_color(lua_State *lua);
int lua_func_vecgfx_set_fill_color(lua_State *lua);
int lua_func_vecgfx_save_svg(lua_State *lua);
int lua_func_vecgfx_save_img(lua_State *lua);

//-----------------------------------------------------------------------------

#endif
